# createBuySellStrategy

This function creates an unsigned transaction to create a strategy, using a buy/sell format.

```
public createBuySellStrategy(
    baseToken: { address: string; decimals: number },
    quoteToken: { address: string; decimals: number },
    buyPriceLow: string,
    buyPriceHigh: string,
    buyBudget: string,
    sellPriceLow: string,
    sellPriceHigh: string,
    sellBudget: string,
    overrides?: PayableOverrides
  )
```

<table><thead><tr><th width="172.33333333333331">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>baseToken</td><td>object {token address, number}</td><td>An object containing a token address and a string with the number of decimal places used for the given token.</td></tr><tr><td>quoteToken</td><td>object {token address, number}</td><td>An object containing a token address and a string with the number of decimal places used for the given token.</td></tr><tr><td>buyPriceLow</td><td>string (number)</td><td>The lowest price at which to buy the quote token, in the form of quoteTokens  per 1 baseToken. </td></tr><tr><td>buyPriceHigh</td><td>string (number)</td><td>The highest price at which to buy the quote token, in the form quoteTokens  per 1 baseToken. </td></tr><tr><td>buyBudget</td><td>string (number)</td><td>The number of base tokens to start the strategy with.</td></tr><tr><td>sellPriceLow</td><td>string (number)</td><td>The lowest price at which to buy the base token, in the form of baseTokens per 1 quote token. </td></tr><tr><td>sellPriceHigh</td><td>string (number)</td><td>The highest price at which to buy the base token, in the form of baseTokens per 1 quote token. </td></tr><tr><td>sellBudget</td><td>string (number)</td><td>The number of quote tokens to start the strategy with.</td></tr><tr><td>overrides</td><td>object (<strong>optional</strong>)</td><td>This optional object contains transaction parameters, such as gas price, Eth value, etc. See <strong>overrides</strong> in the <a href="https://docs.ethers.org/v5/api/contract/contract/#:~:text=The-,overrides,-object%20for%20a">Ethers documentation</a> for details. </td></tr></tbody></table>

### Returns

This function returns an unsigned transaction that is ready to sign and submit to the blockchain.

#### Example:

```
createBuySellStrategy(
    {"0x514910771AF9Ca656af840dff83E8264EcF986CA", 18}, // LINK token, 18 decimal places
    {"0xEeeeeEeeeEeEeeEeEeEeeEEEeeeeEeeeeeeeEEeE", 18}, // ETH token, 18 decimal places
    "0.05", // Lowest number of ETH per LINK
    "0.07", // Highest number of ETH per LINK
    "1877.3", // number of LINK to start the strategy with
    "25", // Lowest number of LINK per ETH
    "30", // Highest number of LINK per ETH
    "5.2", // number of ETH to start the strategy with
    null // optional overrides - skipped
  )
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.carbondefi.xyz/developer-guides/carbon-defi-sdk/sdk-functions/createbuysellstrategy.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
